package chars;
use utf8;
use feature 'unicode_strings';
our $verbose = 0;

our %map = (
"¡" => "i",
"À" => "a",
"Á" => "a",
"Â" => "a",
"Ã" => "a",
"Ä" => "a",
"Å" => "a",
"Æ" => "a",
"Ç" => "c",
"È" => "e",
"É" => "e",
"Ê" => "e",
"Ë" => "e",
"Ì" => "i",
"Í" => "i",
"Î" => "i",
"Ï" => "i",
"Ð" => "d",
"Ñ" => "n",
"Ò" => "o",
"Ó" => "o",
"Ô" => "o",
"Õ" => "o",
"Ö" => "o",
"×" => "x",
"Ø" => "o",
"Ù" => "u",
"Ú" => "u",
"Û" => "u",
"Ü" => "u",
"Ý" => "y",
"à" => "a",
"á" => "a",
"â" => "a",
"ã" => "a",
"ä" => "a",
"å" => "a",
"æ" => "a",
"ç" => "c",
"è" => "e",
"é" => "e",
"ê" => "e",
"ë" => "e",
"ì" => "i",
"í" => "i",
"î" => "i",
"ï" => "i",
"ð" => "o",
"ñ" => "n",
"ò" => "o",
"ó" => "o",
"ô" => "o",
"õ" => "o",
"ö" => "o",
"ø" => "o",
"ù" => "u",
"ú" => "u",
"û" => "u",
"ü" => "u",
"ý" => "y",
"ÿ" => "y",
"Ā" => "a",
"ā" => "a",
"Ă" => "a",
"ă" => "a",
"Ą" => "a",
"ą" => "a",
"Ć" => "c",
"ć" => "c",
"Ĉ" => "c",
"Ċ" => "c",
"ċ" => "c",
"Č" => "c",
"č" => "c",
"Ď" => "d",
"ď" => "d",
"Đ" => "d",
"đ" => "d",
"Ē" => "e",
"ē" => "e",
"Ĕ" => "e",
"ĕ" => "e",
"Ė" => "e",
"ė" => "e",
"Ę" => "e",
"ę" => "e",
"Ě" => "e",
"ě" => "e",
"Ĝ" => "g",
"ĝ" => "g",
"Ğ" => "g",
"ğ" => "g",
"Ġ" => "g",
"ġ" => "g",
"Ģ" => "g",
"ģ" => "g",
"Ĥ" => "h",
"ĥ" => "h",
"Ħ" => "h",
"ħ" => "h",
"Ĩ" => "i",
"ĩ" => "i",
"Ī" => "i",
"ī" => "i",
"ĭ" => "i",
"Į" => "i",
"į" => "i",
"İ" => "i",
"ı" => "i",
"Ĵ" => "j",
"ĵ" => "j",
"Ķ" => "k",
"ķ" => "k",
"ĸ" => "k",
"Ĺ" => "l",
"ĺ" => "l",
"Ļ" => "l",
"ļ" => "l",
"Ľ" => "l",
"ľ" => "l",
"Ŀ" => "l",
"ŀ" => "l",
"Ł" => "l",
"ł" => "l",
"Ń" => "n",
"ń" => "n",
"Ņ" => "n",
"ņ" => "n",
"Ň" => "n",
"ň" => "n",
"Ŋ" => "n",
"ŋ" => "n",
"Ō" => "o",
"ō" => "o",
"ŏ" => "o",
"Ő" => "o",
"ő" => "o",
"Ŕ" => "r",
"ŕ" => "r",
"Ŗ" => "r",
"ŗ" => "r",
"Ř" => "r",
"ř" => "r",
"Ś" => "s",
"ś" => "s",
"Ŝ" => "s",
"Ş" => "s",
"ş" => "s",
"Š" => "s",
"š" => "s",
"Ţ" => "t",
"ţ" => "t",
"Ť" => "t",
"ť" => "t",
"Ŧ" => "t",
"Ũ" => "u",
"Ū" => "u",
"ū" => "u",
"Ŭ" => "u",
"ŭ" => "u",
"Ů" => "u",
"ů" => "u",
"Ű" => "u",
"ű" => "u",
"Ų" => "u",
"ų" => "u",
"Ŵ" => "w",
"ŵ" => "w",
"Ŷ" => "y",
"ŷ" => "y",
"Ÿ" => "y",
"ź" => "z",
"Ż" => "z",
"ż" => "z",
"Ž" => "z",
"ž" => "z",
"ƀ" => "b",
"Ɓ" => "b",
"Ƅ" => "b",
"ƅ" => "b",
"Ƈ" => "c",
"ƈ" => "c",
"Ɖ" => "d",
"Ɗ" => "d",
"Ǝ" => "e",
"Ə" => "e",
"Ɛ" => "e",
"Ƒ" => "f",
"ƒ" => "f",
"Ɠ" => "g",
"Ɩ" => "t",
"Ɨ" => "i",
"Ƙ" => "k",
"ƙ" => "k",
"ƚ" => "l",
"Ɯ" => "w",
"Ɲ" => "n",
"ƞ" => "n",
"Ơ" => "o",
"ơ" => "o",
"Ƥ" => "p",
"ƥ" => "p",
"Ʀ" => "r",
"Ƨ" => "s",
"ƨ" => "s",
"Ƭ" => "t",
"Ʈ" => "t",
"ư" => "u",
"Ʊ" => "o",
"Ʋ" => "u",
"Ƴ" => "y",
"ƴ" => "y",
"ƶ" => "z",
"Ʒ" => "3",
"Ƹ" => "e",
"ƹ" => "e",
"Ƽ" => "5",
"ƽ" => "5",
"ƿ" => "p",
"ǀ" => "l",
"ǎ" => "a",
"Ǐ" => "i",
"ǐ" => "i",
"ǘ" => "u",
"ǝ" => "e",
"ǟ" => "a",
"Ǥ" => "g",
"ǥ" => "g",
"ǫ" => "o",
"Ǵ" => "g",
"ǵ" => "g",
"Ƕ" => "h",
"ȁ" => "a",
"ȏ" => "o",
"ȑ" => "r",
"ȕ" => "u",
"ș" => "s",
"Ț" => "t",
"ț" => "t",
"ȣ" => "8",
"Ȧ" => "a",
"ȧ" => "a",
"Ȯ" => "o",
"ȯ" => "o",
"ȴ" => "l",
"ȶ" => "t",
"ȷ" => "j",
"Ⱥ" => "a",
"ȼ" => "c",
"ɀ" => "z",
"Ƀ" => "b",
"Ʉ" => "a",
"Ɇ" => "e",
"ɇ" => "e",
"Ɉ" => "j",
"ɉ" => "j",
"Ɋ" => "q",
"Ɍ" => "r",
"ɍ" => "f",
"Ɏ" => "y",
"ɏ" => "y",
"ɐ" => "e",
"ɑ" => "a",
"ɓ" => "b",
"ɔ" => "c",
"ɕ" => "c",
"ɖ" => "d",
"ɗ" => "d",
"ɘ" => "e",
"ə" => "e",
"ɛ" => "e",
"ɞ" => "b",
"ɠ" => "g",
"ɡ" => "g",
"ɢ" => "g",
"ɦ" => "h",
"ɧ" => "h",
"ɨ" => "i",
"ɩ" => "l",
"ɪ" => "i",
"ɬ" => "l",
"ɭ" => "l",
"ɮ" => "b",
"ɯ" => "w",
"ɰ" => "w",
"ɱ" => "m",
"ɲ" => "n",
"ɳ" => "n",
"ɴ" => "n",
"ʀ" => "r",
"ʂ" => "s",
"ʃ" => "s",
"ʄ" => "f",
"ʅ" => "l",
"ʊ" => "o",
"ʋ" => "u",
"ʍ" => "m",
"ʏ" => "y",
"ʒ" => "3",
"ʓ" => "3",
"ʘ" => "o",
"ʙ" => "b",
"ʚ" => "b",
"ʜ" => "h",
"ʝ" => "j",
"ʟ" => "l",
"ʯ" => "u",
"ʰ" => "h",
"ʲ" => "j",
"ʳ" => "r",
"ʷ" => "w",
"ʸ" => "y",
"ˡ" => "l",
"ˢ" => "s",
"ˣ" => "x",
"˪" => "l",
"Ͳ" => "t",
"ͳ" => "t",
"ͷ" => "n",
"Ά" => "a",
"Ή" => "h",
"Ώ" => "o",
"Α" => "a",
"Β" => "b",
"Ε" => "e",
"Η" => "h",
"Θ" => "0",
"Ι" => "i",
"Κ" => "k",
"Λ" => "l",
"Μ" => "m",
"Ν" => "n",
"Ο" => "o",
"Ρ" => "p",
"Τ" => "t",
"Υ" => "y",
"Ω" => "o",
"ά" => "a",
"έ" => "e",
"ή" => "n",
"ί" => "i",
"α" => "a",
"β" => "b",
"γ" => "y",
"δ" => "d",
"ε" => "e",
"η" => "n",
"θ" => "0",
"ι" => "l",
"κ" => "k",
"μ" => "u",
"ν" => "v",
"ξ" => "e",
"ο" => "o",
"ρ" => "p",
"ς" => "c",
"σ" => "o",
"τ" => "t",
"υ" => "v",
"χ" => "x",
"ω" => "w",
"ϊ" => "i",
"ό" => "o",
"ώ" => "w",
"Ϗ" => "k",
"ϐ" => "b",
"ϑ" => "o",
"ϒ" => "y",
"ϔ" => "y",
"ϖ" => "w",
"ϙ" => "o",
"Ϛ" => "c",
"Ϝ" => "f",
"ϝ" => "f",
"ϟ" => "s",
"Ϯ" => "t",
"ϯ" => "t",
"ϰ" => "x",
"ϲ" => "c",
"ϴ" => "0",
"ϵ" => "e",
"Ϲ" => "c",
"ϻ" => "m",
"ϼ" => "p",
"Ͼ" => "e",
"Ё" => "e",
"Є" => "e",
"Ѕ" => "s",
"І" => "i",
"Ј" => "j",
"Ќ" => "k",
"Ў" => "y",
"А" => "a",
"В" => "b",
"Е" => "e",
"Ж" => "x",
"З" => "3",
"И" => "n",
"К" => "k",
"М" => "m",
"Н" => "h",
"О" => "o",
"Р" => "p",
"С" => "c",
"Т" => "t",
"У" => "y",
"Ф" => "o",
"Х" => "x",
"Ч" => "y",
"Ш" => "w",
"Ъ" => "b",
"Ь" => "b",
"Я" => "r",
"а" => "a",
"б" => "b",
"в" => "b",
"г" => "r",
"е" => "e",
"ж" => "x",
"з" => "3",
"и" => "n",
"й" => "n",
"к" => "k",
"м" => "m",
"н" => "h",
"о" => "o",
"р" => "p",
"с" => "c",
"т" => "t",
"у" => "y",
"х" => "x",
"ц" => "u",
"ч" => "y",
"ш" => "w",
"щ" => "w",
"ь" => "b",
"я" => "r",
"ё" => "e",
"ђ" => "h",
"є" => "e",
"ѕ" => "s",
"і" => "i",
"ј" => "j",
"ќ" => "k",
"ў" => "y",
"џ" => "u",
"Ѡ" => "w",
"ѡ" => "w",
"Ѧ" => "a",
"ѧ" => "a",
"Ѳ" => "0",
"ѳ" => "0",
"Ѵ" => "v",
"ѵ" => "v",
"Ѻ" => "o",
"Ҍ" => "b",
"ҍ" => "b",
"Ғ" => "f",
"ғ" => "f",
"Ҝ" => "k",
"ҝ" => "k",
"ҟ" => "k",
"Ҡ" => "k",
"ҡ" => "k",
"ҥ" => "h",
"Ҭ" => "t",
"ү" => "y",
"Ҳ" => "x",
"ҳ" => "x",
"һ" => "h",
"Ҽ" => "e",
"ҽ" => "e",
"Ӏ" => "i",
"Ӂ" => "x",
"Ӄ" => "k",
"ӄ" => "k",
"Ӈ" => "h",
"Ӌ" => "y",
"ӗ" => "e",
"Ӝ" => "x",
"ӝ" => "x",
"Ӡ" => "3",
"ӡ" => "3",
"Ӧ" => "o",
"ӧ" => "o",
"Ө" => "0",
"ө" => "0",
"Ӽ" => "x",
"ӽ" => "x",
"Ӿ" => "x",
"ӿ" => "x",
"Ԁ" => "d",
"ԁ" => "d",
"Ԃ" => "d",
"ԃ" => "d",
"ԋ" => "h",
"Ԍ" => "g",
"Ԏ" => "t",
"Ԑ" => "e",
"ԝ" => "w",
"Բ" => "f",
"Ե" => "t",
"Լ" => "l",
"Շ" => "c",
"Ո" => "n",
"Պ" => "n",
"Տ" => "s",
"Ր" => "r",
"Օ" => "o",
"ա" => "w",
"բ" => "f",
"ե" => "t",
"զ" => "q",
"թ" => "p",
"ժ" => "d",
"լ" => "l",
"կ" => "u",
"հ" => "h",
"ղ" => "n",
"ճ" => "d",
"մ" => "u",
"յ" => "j",
"շ" => "2",
"ռ" => "n",
"վ" => "u",
"տ" => "s",
"ց" => "g",
"ք" => "p",
"օ" => "o",
"ֆ" => "s",
"ღ" => "m",
"ყ" => "y",
"ც" => "b",
"ძ" => "d",
"ხ" => "b",
"ሀ" => "v",
"ር" => "c",
"ጠ" => "m",
"Ꭰ" => "d",
"Ꭱ" => "r",
"Ꭲ" => "t",
"Ꭴ" => "o",
"Ꭵ" => "i",
"Ꭶ" => "s",
"Ꭷ" => "o",
"Ꭸ" => "i",
"Ꭹ" => "y",
"Ꭺ" => "a",
"Ꭻ" => "j",
"Ꭼ" => "e",
"Ꭾ" => "p",
"Ꭿ" => "a",
"Ꮀ" => "i",
"Ꮃ" => "w",
"Ꮄ" => "d",
"Ꮅ" => "p",
"Ꮆ" => "g",
"Ꮇ" => "m",
"Ꮋ" => "h",
"Ꮍ" => "y",
"Ꮎ" => "o",
"Ꮏ" => "t",
"Ꮑ" => "n",
"Ꮒ" => "h",
"Ꮓ" => "z",
"Ꮖ" => "i",
"Ꮗ" => "w",
"Ꮙ" => "v",
"Ꮛ" => "e",
"Ꮜ" => "a",
"Ꮢ" => "r",
"Ꮣ" => "t",
"Ꮤ" => "w",
"Ꮥ" => "s",
"Ꮦ" => "t",
"Ꮩ" => "v",
"Ꮪ" => "s",
"Ꮭ" => "l",
"Ꮮ" => "l",
"Ꮯ" => "c",
"Ꮲ" => "p",
"Ꮳ" => "c",
"Ꮶ" => "k",
"Ꮹ" => "g",
"Ꮻ" => "o",
"Ꮼ" => "o",
"Ꮿ" => "w",
"Ᏸ" => "b",
"Ᏼ" => "b",
"ᏸ" => "b",
"ᏼ" => "b",
"ᐺ" => "v",
"ᑌ" => "u",
"ᑎ" => "n",
"ᑕ" => "c",
"ᑘ" => "u",
"ᑢ" => "c",
"ᑫ" => "q",
"ᑭ" => "p",
"ᑯ" => "d",
"ᑲ" => "b",
"ᑶ" => "p",
"ᑿ" => "b",
"ᒍ" => "j",
"ᒎ" => "j",
"ᒐ" => "j",
"ᒚ" => "j",
"ᒛ" => "j",
"ᒪ" => "l",
"ᒿ" => "2",
"ᓚ" => "c",
"ᔆ" => "s",
"ᔑ" => "s",
"ᔕ" => "s",
"ᕁ" => "x",
"ᕊ" => "b",
"ᕓ" => "v",
"ᕫ" => "u",
"ᕮ" => "c",
"ᕲ" => "d",
"ᕵ" => "p",
"ᕼ" => "h",
"ᕽ" => "x",
"ᖇ" => "r",
"ᖘ" => "p",
"ᖙ" => "j",
"ᖳ" => "q",
"ᖴ" => "f",
"ᖶ" => "t",
"ᖾ" => "l",
"ᗅ" => "a",
"ᗋ" => "a",
"ᗝ" => "a",
"ᗞ" => "d",
"ᗠ" => "d",
"ᗢ" => "u",
"ᗣ" => "n",
"ᗩ" => "a",
"ᗪ" => "d",
"ᗫ" => "d",
"ᗯ" => "w",
"ᗰ" => "m",
"ᗴ" => "e",
"ᗷ" => "b",
"ᘉ" => "m",
"ᘜ" => "y",
"ᘺ" => "w",
"ᘻ" => "m",
"ᘿ" => "e",
"ᙁ" => "n",
"ᙃ" => "d",
"ᙅ" => "c",
"ᙎ" => "w",
"ᙏ" => "m",
"ᙓ" => "e",
"ᙖ" => "b",
"ᙘ" => "b",
"ᙢ" => "m",
"᙭" => "x",
"ᚺ" => "h",
"ᛕ" => "k",
"ᜊ" => "o",
"ᝣ" => "x",
"ᝨ" => "t",
"ᝪ" => "o",
"ន" => "s",
"ៜ" => "s",
"ᠻ" => "f",
"ᡶ" => "t",
"ᣱ" => "z",
"᥆" => "o",
"᥊" => "x",
"᥎" => "v",
"ᥒ" => "n",
"ᥕ" => "w",
"ᥙ" => "u",
"ᥡ" => "u",
"ᥣ" => "l",
"ᥰ" => "n",
"ᥱ" => "e",
"ᥲ" => "a",
"ᥴ" => "c",
"ᦋ" => "g",
"ᦓ" => "s",
"ᦔ" => "d",
"ᦷ" => "e",
"ᧁ" => "g",
"᧒" => "j",
"ᨰ" => "w",
"ᨵ" => "o",
"ᨶ" => "c",
"ᴀ" => "a",
"ᴄ" => "c",
"ᴅ" => "d",
"ᴇ" => "e",
"ᴊ" => "j",
"ᴋ" => "k",
"ᴍ" => "m",
"ᴏ" => "o",
"ᴑ" => "o",
"ᴗ" => "u",
"ᴘ" => "p",
"ᴛ" => "t",
"ᴜ" => "u",
"ᴠ" => "v",
"ᴡ" => "w",
"ᴢ" => "z",
"ᴤ" => "s",
"ᴩ" => "p",
"ᴬ" => "a",
"ᴮ" => "b",
"ᴰ" => "d",
"ᴱ" => "e",
"ᴲ" => "e",
"ᴳ" => "g",
"ᴴ" => "h",
"ᴵ" => "i",
"ᴶ" => "j",
"ᴷ" => "k",
"ᴸ" => "l",
"ᴹ" => "m",
"ᴺ" => "n",
"ᴼ" => "o",
"ᴾ" => "p",
"ᴿ" => "r",
"ᵀ" => "t",
"ᵁ" => "u",
"ᵂ" => "w",
"ᵃ" => "a",
"ᵇ" => "b",
"ᵈ" => "d",
"ᵉ" => "e",
"ᵍ" => "g",
"ᵏ" => "k",
"ᵐ" => "m",
"ᵒ" => "o",
"ᵔ" => "n",
"ᵕ" => "u",
"ᵖ" => "p",
"ᵗ" => "t",
"ᵘ" => "u",
"ᵛ" => "v",
"ᵞ" => "y",
"ᵠ" => "y",
"ᵡ" => "x",
"ᵢ" => "i",
"ᵣ" => "r",
"ᵤ" => "u",
"ᵥ" => "v",
"ᵽ" => "p",
"ᶜ" => "c",
"ᶠ" => "f",
"ᶤ" => "i",
"ᶦ" => "i",
"ᶰ" => "n",
"ᶻ" => "z",
"ḁ" => "a",
"Ḃ" => "b",
"ḃ" => "b",
"ḅ" => "b",
"Ḇ" => "b",
"Ḋ" => "d",
"ḋ" => "d",
"Ḍ" => "d",
"ḍ" => "d",
"ḙ" => "e",
"Ḟ" => "f",
"ḟ" => "f",
"ḡ" => "g",
"Ḣ" => "h",
"ḣ" => "h",
"Ḧ" => "h",
"ḧ" => "h",
"ḭ" => "i",
"Ḱ" => "k",
"ḷ" => "l",
"ḿ" => "m",
"Ṁ" => "m",
"ṁ" => "m",
"ṃ" => "m",
"Ṅ" => "n",
"ṅ" => "n",
"ṇ" => "n",
"Ṉ" => "n",
"ṉ" => "n",
"Ṏ" => "o",
"ṏ" => "o",
"ṕ" => "p",
"Ṗ" => "p",
"ṗ" => "p",
"Ṙ" => "r",
"ṙ" => "r",
"ṛ" => "r",
"Ṡ" => "s",
"ṡ" => "s",
"ṧ" => "s",
"Ṫ" => "t",
"ṫ" => "t",
"Ṭ" => "t",
"ṭ" => "t",
"Ṱ" => "t",
"ṱ" => "t",
"Ṳ" => "u",
"ṳ" => "u",
"Ṷ" => "u",
"ṿ" => "v",
"Ẅ" => "w",
"Ẇ" => "w",
"ẇ" => "w",
"ẍ" => "x",
"Ẏ" => "y",
"ẏ" => "y",
"ẗ" => "t",
"ẘ" => "w",
"ẞ" => "b",
"Ạ" => "a",
"ạ" => "a",
"ả" => "a",
"ấ" => "a",
"ậ" => "a",
"Ắ" => "a",
"ắ" => "a",
"ằ" => "a",
"Ặ" => "a",
"ặ" => "a",
"Ẹ" => "e",
"ẹ" => "e",
"ẽ" => "e",
"ế" => "e",
"ề" => "e",
"ể" => "e",
"ễ" => "e",
"ệ" => "e",
"Ỉ" => "i",
"ỉ" => "i",
"ị" => "i",
"ọ" => "o",
"ỏ" => "o",
"ố" => "o",
"ồ" => "o",
"Ỗ" => "o",
"ộ" => "o",
"ớ" => "o",
"ờ" => "o",
"ở" => "o",
"ợ" => "o",
"Ụ" => "u",
"ụ" => "u",
"ủ" => "u",
"ứ" => "u",
"ừ" => "u",
"Ữ" => "u",
"ữ" => "u",
"ự" => "u",
"ỳ" => "y",
"ỵ" => "y",
"ỷ" => "y",
"ἰ" => "i",
"ὅ" => "o",
"ᾰ" => "a",
"ῃ" => "n",
"ῆ" => "n",
"ῖ" => "i",
"ῠ" => "v",
"Ῥ" => "p",
"ῳ" => "w",
"⁰" => "0",
"ⁱ" => "i",
"⁴" => "4",
"⁵" => "3",
"⁶" => "6",
"⁷" => "7",
"⁸" => "8",
"⁹" => "9",
"ⁿ" => "n",
"₀" => "0",
"₁" => "1",
"₂" => "2",
"₃" => "3",
"₄" => "4",
"₅" => "5",
"₆" => "6",
"₇" => "7",
"₈" => "8",
"₉" => "9",
"ₐ" => "a",
"ₑ" => "e",
"ₒ" => "o",
"ₓ" => "x",
"ₕ" => "h",
"ₖ" => "k",
"ₗ" => "l",
"ₘ" => "m",
"ₙ" => "n",
"ₚ" => "p",
"ₛ" => "s",
"ₜ" => "t",
"₡" => "c",
"₣" => "f",
"₥" => "m",
"₦" => "n",
"₩" => "w",
"₪" => "n",
"€" => "e",
"₭" => "k",
"₮" => "t",
"₱" => "p",
"₲" => "g",
"₳" => "a",
"₴" => "s",
"₵" => "c",
"₷" => "s",
"₸" => "t",
"₽" => "p",
"₿" => "b",
"ℂ" => "c",
"℃" => "c",
"ℇ" => "e",
"℉" => "f",
"ℊ" => "g",
"ℋ" => "h",
"ℌ" => "h",
"ℍ" => "h",
"ℎ" => "h",
"ℏ" => "h",
"ℐ" => "j",
"ℒ" => "l",
"ℓ" => "l",
"ℕ" => "n",
"№" => "n",
"℘" => "p",
"ℙ" => "p",
"ℚ" => "q",
"ℛ" => "r",
"ℜ" => "r",
"ℝ" => "r",
"℞" => "r",
"ℤ" => "z",
"Ω" => "o",
"ℬ" => "b",
"ℭ" => "c",
"℮" => "e",
"ℯ" => "e",
"ℰ" => "e",
"ℱ" => "f",
"ℳ" => "m",
"ℴ" => "o",
"ℽ" => "y",
"ⅅ" => "d",
"ⅆ" => "d",
"ⅇ" => "e",
"ⅈ" => "i",
"Ⅴ" => "v",
"Ⅽ" => "c",
"Ⅾ" => "d",
"ⅰ" => "i",
"ⅹ" => "x",
"ⅼ" => "l",
"ⅽ" => "c",
"∀" => "a",
"∂" => "d",
"∅" => "o",
"⋿" => "e",
"⍲" => "a",
"⍴" => "p",
"⍵" => "w",
"⍺" => "a",
"①" => "1",
"②" => "2",
"③" => "3",
"④" => "4",
"⑤" => "5",
"⑥" => "6",
"⑦" => "7",
"⑧" => "8",
"⑨" => "9",
"⒈" => "1",
"⒉" => "2",
"⒊" => "3",
"⒋" => "4",
"⒌" => "5",
"⒍" => "6",
"⒎" => "7",
"⒏" => "8",
"⒐" => "9",
"⒜" => "a",
"⒝" => "b",
"⒞" => "c",
"⒠" => "e",
"⒡" => "f",
"⒣" => "h",
"⒤" => "i",
"⒥" => "j",
"⒦" => "k",
"⒧" => "l",
"⒨" => "m",
"⒪" => "o",
"⒫" => "p",
"⒭" => "r",
"⒮" => "s",
"⒯" => "t",
"⒱" => "v",
"⒲" => "w",
"⒳" => "x",
"⒴" => "y",
"Ⓐ" => "a",
"Ⓑ" => "b",
"Ⓒ" => "c",
"Ⓓ" => "d",
"Ⓔ" => "e",
"Ⓕ" => "f",
"Ⓖ" => "g",
"Ⓗ" => "h",
"Ⓘ" => "i",
"Ⓙ" => "j",
"Ⓚ" => "k",
"Ⓛ" => "l",
"Ⓝ" => "n",
"Ⓞ" => "o",
"Ⓟ" => "p",
"Ⓠ" => "q",
"Ⓡ" => "r",
"Ⓢ" => "s",
"Ⓣ" => "t",
"Ⓤ" => "u",
"Ⓥ" => "v",
"Ⓦ" => "w",
"Ⓧ" => "x",
"Ⓨ" => "y",
"Ⓩ" => "z",
"ⓐ" => "a",
"ⓑ" => "b",
"ⓒ" => "c",
"ⓓ" => "d",
"ⓔ" => "e",
"ⓕ" => "f",
"ⓖ" => "g",
"ⓗ" => "h",
"ⓘ" => "i",
"ⓙ" => "j",
"ⓚ" => "k",
"ⓛ" => "l",
"ⓜ" => "m",
"ⓝ" => "n",
"ⓞ" => "o",
"ⓟ" => "p",
"ⓡ" => "r",
"ⓢ" => "s",
"ⓣ" => "t",
"ⓤ" => "u",
"ⓥ" => "v",
"ⓦ" => "w",
"ⓧ" => "x",
"ⓨ" => "y",
"ⓩ" => "z",
"⓪" => "0",
"⓵" => "1",
"⓹" => "5",
"⓿" => "0",
"❶" => "1",
"❷" => "2",
"❸" => "3",
"❹" => "4",
"❺" => "5",
"❻" => "6",
"❼" => "7",
"❽" => "8",
"❾" => "9",
"➀" => "1",
"➁" => "2",
"➂" => "3",
"➃" => "4",
"➄" => "5",
"➅" => "6",
"➆" => "7",
"➇" => "8",
"➊" => "1",
"➋" => "2",
"➌" => "3",
"➍" => "4",
"➎" => "5",
"➏" => "6",
"➐" => "7",
"➑" => "8",
"➒" => "9",
"⨍" => "f",
"Ⱡ" => "l",
"ⱡ" => "i",
"Ɽ" => "r",
"Ⱨ" => "h",
"ⱨ" => "h",
"Ɑ" => "a",
"Ɱ" => "m",
"ⱱ" => "v",
"ⱽ" => "v",
"ⲁ" => "a",
"Ⲉ" => "e",
"ⲉ" => "e",
"ⲍ" => "z",
"ⲓ" => "i",
"Ⲕ" => "k",
"Ⲙ" => "m",
"ⲛ" => "n",
"ⲟ" => "o",
"Ⲣ" => "p",
"ⲣ" => "p",
"ⲥ" => "c",
"Ⲧ" => "t",
"ⲧ" => "t",
"Ⳑ" => "l",
"ⳗ" => "l",
"ⴅ" => "m",
"ⴆ" => "b",
"ⴎ" => "u",
"ⴗ" => "u",
"ⴚ" => "n",
"ⴤ" => "u",
"ⵋ" => "x",
"꓄" => "t",
"ꓚ" => "c",
"ꓭ" => "b",
"ꓴ" => "u",
"ꕯ" => "i",
"ꕷ" => "s",
"Ꙇ" => "l",
"ꙇ" => "i",
"Ꙙ" => "a",
"Ꚃ" => "s",
"ꛖ" => "h",
"ꜟ" => "i",
"ꜰ" => "f",
"ꜱ" => "s",
"Ꝁ" => "k",
"Ꝓ" => "p",
"ꞎ" => "t",
"Ꞗ" => "b",
"Ꞙ" => "f",
"ꞛ" => "b",
"Ꞟ" => "r",
"꠸" => "j",
"ꡘ" => "h",
"ꢝ" => "o",
"ꨄ" => "m",
"ꪀ" => "n",
"ꪊ" => "u",
"ꪑ" => "m",
"ꪖ" => "a",
"ꪗ" => "y",
"ꪜ" => "v",
"ꫀ" => "e",
"ꭰ" => "d",
"ꭱ" => "r",
"ꭲ" => "t",
"ꭴ" => "o",
"ꭵ" => "i",
"ꭶ" => "s",
"ꭹ" => "y",
"ꭺ" => "a",
"ꭼ" => "e",
"ꭿ" => "a",
"ꮃ" => "w",
"ꮄ" => "d",
"ꮆ" => "g",
"ꮇ" => "m",
"ꮋ" => "h",
"ꮍ" => "y",
"ꮎ" => "0",
"ꮏ" => "t",
"ꮐ" => "g",
"ꮑ" => "n",
"ꮖ" => "i",
"ꮗ" => "w",
"ꮙ" => "v",
"ꮛ" => "e",
"ꮜ" => "a",
"ꮢ" => "r",
"ꮣ" => "b",
"ꮤ" => "w",
"ꮥ" => "s",
"ꮩ" => "v",
"ꮪ" => "s",
"ꮮ" => "l",
"ꮯ" => "c",
"ꮲ" => "p",
"ꮶ" => "k",
"ꮻ" => "o",
"ꮿ" => "w",
"０" => "0",
"１" => "1",
"２" => "2",
"３" => "3",
"４" => "4",
"５" => "5",
"６" => "6",
"７" => "7",
"８" => "8",
"９" => "9",
"Ａ" => "a",
"Ｂ" => "b",
"Ｃ" => "c",
"Ｄ" => "d",
"Ｅ" => "e",
"Ｆ" => "f",
"Ｇ" => "g",
"Ｈ" => "h",
"Ｉ" => "i",
"Ｊ" => "j",
"Ｋ" => "k",
"Ｌ" => "l",
"Ｍ" => "m",
"Ｎ" => "n",
"Ｏ" => "o",
"Ｐ" => "p",
"Ｑ" => "q",
"Ｒ" => "r",
"Ｓ" => "s",
"Ｔ" => "t",
"Ｕ" => "u",
"Ｖ" => "v",
"Ｗ" => "w",
"Ｘ" => "x",
"Ｙ" => "y",
"Ｚ" => "z",
"ａ" => "a",
"ｂ" => "b",
"ｃ" => "c",
"ｄ" => "d",
"ｅ" => "e",
"ｆ" => "f",
"ｇ" => "g",
"ｈ" => "h",
"ｉ" => "i",
"ｊ" => "j",
"ｋ" => "k",
"ｌ" => "l",
"ｍ" => "m",
"ｎ" => "n",
"ｏ" => "o",
"ｐ" => "p",
"ｑ" => "q",
"ｒ" => "r",
"ｓ" => "s",
"ｔ" => "t",
"ｕ" => "u",
"ｖ" => "v",
"ｗ" => "w",
"ｘ" => "x",
"ｙ" => "y",
"ｚ" => "z",
"ｴ" => "i",
"𐊇" => "f",
"𐊕" => "p",
"𐊱" => "t",
"𐊲" => "y",
"𐌼" => "m",
"𐐂" => "b",
"𐐄" => "o",
"𐐕" => "c",
"𐐩" => "e",
"𐤠" => "a",
"𝐀" => "a",
"𝐁" => "b",
"𝐂" => "c",
"𝐃" => "d",
"𝐄" => "e",
"𝐅" => "f",
"𝐆" => "g",
"𝐇" => "h",
"𝐈" => "i",
"𝐉" => "j",
"𝐊" => "k",
"𝐋" => "l",
"𝐌" => "m",
"𝐍" => "n",
"𝐎" => "o",
"𝐏" => "p",
"𝐐" => "q",
"𝐑" => "r",
"𝐒" => "s",
"𝐓" => "t",
"𝐔" => "u",
"𝐕" => "v",
"𝐖" => "w",
"𝐗" => "x",
"𝐘" => "y",
"𝐙" => "z",
"𝐚" => "a",
"𝐛" => "b",
"𝐜" => "c",
"𝐝" => "d",
"𝐞" => "e",
"𝐟" => "f",
"𝐠" => "g",
"𝐡" => "h",
"𝐢" => "i",
"𝐣" => "j",
"𝐤" => "k",
"𝐥" => "l",
"𝐦" => "m",
"𝐧" => "n",
"𝐨" => "o",
"𝐩" => "p",
"𝐪" => "q",
"𝐫" => "r",
"𝐬" => "s",
"𝐭" => "t",
"𝐮" => "u",
"𝐯" => "v",
"𝐰" => "w",
"𝐱" => "x",
"𝐲" => "y",
"𝐳" => "z",
"𝐴" => "a",
"𝐵" => "b",
"𝐶" => "c",
"𝐷" => "d",
"𝐸" => "e",
"𝐹" => "f",
"𝐺" => "g",
"𝐻" => "h",
"𝐼" => "i",
"𝐽" => "j",
"𝐾" => "k",
"𝐿" => "l",
"𝑀" => "m",
"𝑁" => "n",
"𝑂" => "o",
"𝑃" => "p",
"𝑄" => "q",
"𝑅" => "r",
"𝑆" => "s",
"𝑇" => "t",
"𝑈" => "u",
"𝑉" => "v",
"𝑊" => "w",
"𝑋" => "x",
"𝑌" => "y",
"𝑍" => "z",
"𝑎" => "a",
"𝑏" => "b",
"𝑐" => "c",
"𝑑" => "d",
"𝑒" => "e",
"𝑓" => "f",
"𝑔" => "g",
"𝑖" => "i",
"𝑗" => "j",
"𝑘" => "k",
"𝑙" => "l",
"𝑚" => "m",
"𝑛" => "n",
"𝑜" => "o",
"𝑝" => "p",
"𝑞" => "q",
"𝑟" => "r",
"𝑠" => "s",
"𝑡" => "t",
"𝑢" => "u",
"𝑣" => "v",
"𝑤" => "w",
"𝑥" => "x",
"𝑦" => "y",
"𝑧" => "z",
"𝑨" => "a",
"𝑩" => "b",
"𝑪" => "c",
"𝑫" => "d",
"𝑬" => "e",
"𝑭" => "f",
"𝑮" => "g",
"𝑯" => "h",
"𝑰" => "i",
"𝑱" => "j",
"𝑲" => "k",
"𝑳" => "l",
"𝑴" => "m",
"𝑵" => "n",
"𝑶" => "o",
"𝑷" => "p",
"𝑸" => "q",
"𝑹" => "r",
"𝑺" => "s",
"𝑻" => "t",
"𝑼" => "u",
"𝑽" => "v",
"𝑾" => "w",
"𝑿" => "x",
"𝒀" => "y",
"𝒁" => "z",
"𝒂" => "a",
"𝒃" => "b",
"𝒄" => "c",
"𝒅" => "d",
"𝒆" => "e",
"𝒇" => "f",
"𝒈" => "g",
"𝒉" => "h",
"𝒊" => "i",
"𝒋" => "j",
"𝒌" => "k",
"𝒍" => "l",
"𝒎" => "m",
"𝒏" => "n",
"𝒐" => "o",
"𝒑" => "p",
"𝒒" => "q",
"𝒓" => "r",
"𝒔" => "s",
"𝒕" => "t",
"𝒖" => "u",
"𝒗" => "v",
"𝒘" => "w",
"𝒙" => "x",
"𝒚" => "y",
"𝒛" => "z",
"𝒜" => "a",
"𝒞" => "c",
"𝒟" => "d",
"𝒢" => "g",
"𝒥" => "j",
"𝒦" => "k",
"𝒩" => "n",
"𝒪" => "o",
"𝒫" => "p",
"𝒬" => "q",
"𝒮" => "s",
"𝒯" => "t",
"𝒰" => "u",
"𝒱" => "v",
"𝒲" => "w",
"𝒳" => "x",
"𝒴" => "y",
"𝒵" => "z",
"𝒶" => "a",
"𝒷" => "b",
"𝒸" => "c",
"𝒹" => "d",
"𝒻" => "f",
"𝒽" => "h",
"𝒾" => "i",
"𝒿" => "j",
"𝓀" => "k",
"𝓁" => "l",
"𝓂" => "m",
"𝓃" => "n",
"𝓅" => "p",
"𝓆" => "q",
"𝓇" => "r",
"𝓈" => "s",
"𝓉" => "t",
"𝓊" => "u",
"𝓋" => "v",
"𝓌" => "w",
"𝓍" => "x",
"𝓎" => "y",
"𝓏" => "z",
"𝓐" => "a",
"𝓑" => "b",
"𝓒" => "c",
"𝓓" => "d",
"𝓔" => "e",
"𝓕" => "f",
"𝓖" => "g",
"𝓗" => "h",
"𝓘" => "i",
"𝓙" => "j",
"𝓚" => "k",
"𝓛" => "l",
"𝓜" => "m",
"𝓝" => "n",
"𝓞" => "o",
"𝓟" => "p",
"𝓠" => "q",
"𝓡" => "r",
"𝓢" => "s",
"𝓣" => "t",
"𝓤" => "u",
"𝓥" => "v",
"𝓦" => "w",
"𝓧" => "x",
"𝓨" => "y",
"𝓩" => "z",
"𝓪" => "a",
"𝓫" => "b",
"𝓬" => "c",
"𝓭" => "d",
"𝓮" => "e",
"𝓯" => "f",
"𝓰" => "g",
"𝓱" => "h",
"𝓲" => "i",
"𝓳" => "j",
"𝓴" => "k",
"𝓵" => "l",
"𝓶" => "m",
"𝓷" => "n",
"𝓸" => "o",
"𝓹" => "p",
"𝓺" => "q",
"𝓻" => "r",
"𝓼" => "s",
"𝓽" => "t",
"𝓾" => "u",
"𝓿" => "v",
"𝔀" => "w",
"𝔁" => "x",
"𝔂" => "y",
"𝔃" => "z",
"𝔄" => "a",
"𝔅" => "b",
"𝔇" => "d",
"𝔈" => "e",
"𝔉" => "f",
"𝔊" => "g",
"𝔍" => "j",
"𝔎" => "k",
"𝔏" => "l",
"𝔐" => "m",
"𝔑" => "n",
"𝔒" => "o",
"𝔓" => "p",
"𝔖" => "s",
"𝔗" => "t",
"𝔘" => "u",
"𝔙" => "v",
"𝔚" => "w",
"𝔛" => "x",
"𝔜" => "y",
"𝔞" => "a",
"𝔟" => "b",
"𝔠" => "c",
"𝔡" => "d",
"𝔢" => "e",
"𝔣" => "f",
"𝔤" => "g",
"𝔥" => "h",
"𝔦" => "i",
"𝔧" => "j",
"𝔨" => "k",
"𝔩" => "l",
"𝔪" => "m",
"𝔫" => "n",
"𝔬" => "o",
"𝔭" => "p",
"𝔮" => "q",
"𝔯" => "r",
"𝔰" => "s",
"𝔱" => "t",
"𝔲" => "u",
"𝔳" => "v",
"𝔴" => "w",
"𝔵" => "x",
"𝔶" => "y",
"𝔷" => "z",
"𝔸" => "a",
"𝔹" => "b",
"𝔻" => "d",
"𝔼" => "e",
"𝔽" => "f",
"𝔾" => "g",
"𝕀" => "i",
"𝕁" => "j",
"𝕂" => "k",
"𝕃" => "l",
"𝕄" => "m",
"𝕆" => "o",
"𝕊" => "s",
"𝕋" => "t",
"𝕌" => "u",
"𝕍" => "v",
"𝕎" => "w",
"𝕏" => "x",
"𝕐" => "y",
"𝕒" => "a",
"𝕓" => "b",
"𝕔" => "c",
"𝕕" => "d",
"𝕖" => "e",
"𝕗" => "f",
"𝕘" => "g",
"𝕙" => "h",
"𝕚" => "i",
"𝕛" => "j",
"𝕜" => "k",
"𝕝" => "l",
"𝕞" => "m",
"𝕟" => "n",
"𝕠" => "o",
"𝕡" => "p",
"𝕢" => "q",
"𝕣" => "r",
"𝕤" => "s",
"𝕥" => "t",
"𝕦" => "u",
"𝕧" => "v",
"𝕨" => "w",
"𝕩" => "x",
"𝕪" => "y",
"𝕫" => "z",
"𝕬" => "a",
"𝕭" => "b",
"𝕮" => "c",
"𝕯" => "d",
"𝕰" => "e",
"𝕱" => "f",
"𝕲" => "g",
"𝕳" => "h",
"𝕴" => "i",
"𝕵" => "j",
"𝕶" => "k",
"𝕷" => "l",
"𝕸" => "m",
"𝕹" => "n",
"𝕺" => "o",
"𝕻" => "p",
"𝕼" => "q",
"𝕽" => "r",
"𝕾" => "s",
"𝕿" => "t",
"𝖀" => "u",
"𝖁" => "v",
"𝖂" => "w",
"𝖃" => "x",
"𝖄" => "y",
"𝖆" => "a",
"𝖇" => "b",
"𝖈" => "c",
"𝖉" => "d",
"𝖊" => "e",
"𝖋" => "f",
"𝖌" => "g",
"𝖍" => "h",
"𝖎" => "i",
"𝖏" => "j",
"𝖐" => "k",
"𝖑" => "l",
"𝖒" => "m",
"𝖓" => "n",
"𝖔" => "o",
"𝖕" => "p",
"𝖖" => "q",
"𝖗" => "r",
"𝖘" => "s",
"𝖙" => "t",
"𝖚" => "u",
"𝖛" => "v",
"𝖜" => "w",
"𝖝" => "x",
"𝖞" => "y",
"𝖟" => "z",
"𝖠" => "a",
"𝖡" => "b",
"𝖢" => "c",
"𝖣" => "d",
"𝖤" => "e",
"𝖥" => "f",
"𝖦" => "g",
"𝖧" => "h",
"𝖨" => "i",
"𝖩" => "j",
"𝖪" => "k",
"𝖫" => "l",
"𝖬" => "m",
"𝖭" => "n",
"𝖮" => "o",
"𝖯" => "p",
"𝖱" => "r",
"𝖲" => "s",
"𝖳" => "t",
"𝖴" => "u",
"𝖵" => "v",
"𝖶" => "w",
"𝖷" => "x",
"𝖸" => "y",
"𝖺" => "a",
"𝖻" => "b",
"𝖼" => "c",
"𝖽" => "d",
"𝖾" => "e",
"𝖿" => "f",
"𝗀" => "g",
"𝗁" => "h",
"𝗂" => "i",
"𝗃" => "j",
"𝗄" => "k",
"𝗅" => "l",
"𝗆" => "m",
"𝗇" => "n",
"𝗈" => "o",
"𝗉" => "p",
"𝗊" => "q",
"𝗋" => "r",
"𝗌" => "s",
"𝗍" => "t",
"𝗎" => "u",
"𝗏" => "v",
"𝗐" => "w",
"𝗑" => "x",
"𝗒" => "y",
"𝗓" => "z",
"𝗔" => "a",
"𝗕" => "b",
"𝗖" => "c",
"𝗗" => "d",
"𝗘" => "e",
"𝗙" => "f",
"𝗚" => "g",
"𝗛" => "h",
"𝗜" => "i",
"𝗝" => "j",
"𝗞" => "k",
"𝗟" => "l",
"𝗠" => "m",
"𝗡" => "n",
"𝗢" => "o",
"𝗣" => "p",
"𝗤" => "q",
"𝗥" => "r",
"𝗦" => "s",
"𝗧" => "t",
"𝗨" => "u",
"𝗩" => "v",
"𝗪" => "w",
"𝗫" => "x",
"𝗬" => "y",
"𝗭" => "z",
"𝗮" => "a",
"𝗯" => "b",
"𝗰" => "c",
"𝗱" => "d",
"𝗲" => "e",
"𝗳" => "f",
"𝗴" => "g",
"𝗵" => "h",
"𝗶" => "i",
"𝗷" => "j",
"𝗸" => "k",
"𝗹" => "l",
"𝗺" => "m",
"𝗻" => "n",
"𝗼" => "o",
"𝗽" => "p",
"𝗾" => "q",
"𝗿" => "r",
"𝘀" => "s",
"𝘁" => "t",
"𝘂" => "u",
"𝘃" => "v",
"𝘄" => "w",
"𝘅" => "x",
"𝘆" => "y",
"𝘇" => "z",
"𝘈" => "a",
"𝘉" => "b",
"𝘊" => "c",
"𝘋" => "d",
"𝘌" => "e",
"𝘍" => "f",
"𝘎" => "g",
"𝘏" => "h",
"𝘐" => "i",
"𝘑" => "j",
"𝘒" => "k",
"𝘓" => "l",
"𝘔" => "m",
"𝘕" => "n",
"𝘖" => "o",
"𝘗" => "p",
"𝘘" => "q",
"𝘙" => "r",
"𝘚" => "s",
"𝘛" => "t",
"𝘜" => "u",
"𝘝" => "v",
"𝘞" => "w",
"𝘟" => "x",
"𝘠" => "y",
"𝘢" => "a",
"𝘣" => "b",
"𝘤" => "c",
"𝘥" => "d",
"𝘦" => "e",
"𝘧" => "f",
"𝘨" => "g",
"𝘩" => "h",
"𝘪" => "i",
"𝘫" => "j",
"𝘬" => "k",
"𝘭" => "l",
"𝘮" => "m",
"𝘯" => "n",
"𝘰" => "o",
"𝘱" => "p",
"𝘲" => "q",
"𝘳" => "r",
"𝘴" => "s",
"𝘵" => "t",
"𝘶" => "u",
"𝘷" => "v",
"𝘸" => "w",
"𝘹" => "x",
"𝘺" => "y",
"𝘻" => "z",
"𝘼" => "a",
"𝘽" => "b",
"𝘾" => "c",
"𝘿" => "d",
"𝙀" => "e",
"𝙁" => "f",
"𝙂" => "g",
"𝙃" => "h",
"𝙄" => "i",
"𝙅" => "j",
"𝙆" => "k",
"𝙇" => "l",
"𝙈" => "m",
"𝙉" => "n",
"𝙊" => "o",
"𝙋" => "p",
"𝙌" => "q",
"𝙍" => "r",
"𝙎" => "s",
"𝙏" => "t",
"𝙐" => "u",
"𝙑" => "v",
"𝙒" => "w",
"𝙓" => "x",
"𝙔" => "y",
"𝙕" => "z",
"𝙖" => "a",
"𝙗" => "b",
"𝙘" => "c",
"𝙙" => "d",
"𝙚" => "e",
"𝙛" => "f",
"𝙜" => "g",
"𝙝" => "h",
"𝙞" => "i",
"𝙟" => "j",
"𝙠" => "k",
"𝙡" => "l",
"𝙢" => "m",
"𝙣" => "n",
"𝙤" => "o",
"𝙥" => "p",
"𝙦" => "q",
"𝙧" => "r",
"𝙨" => "s",
"𝙩" => "t",
"𝙪" => "u",
"𝙫" => "v",
"𝙬" => "w",
"𝙭" => "x",
"𝙮" => "y",
"𝙯" => "z",
"𝙰" => "a",
"𝙱" => "b",
"𝙲" => "c",
"𝙳" => "d",
"𝙴" => "e",
"𝙵" => "f",
"𝙶" => "g",
"𝙷" => "h",
"𝙸" => "i",
"𝙹" => "j",
"𝙺" => "k",
"𝙻" => "l",
"𝙼" => "m",
"𝙽" => "n",
"𝙾" => "o",
"𝙿" => "p",
"𝚀" => "q",
"𝚁" => "r",
"𝚂" => "s",
"𝚃" => "t",
"𝚄" => "u",
"𝚅" => "v",
"𝚆" => "w",
"𝚇" => "x",
"𝚈" => "y",
"𝚉" => "z",
"𝚊" => "a",
"𝚋" => "b",
"𝚌" => "c",
"𝚍" => "d",
"𝚎" => "e",
"𝚏" => "f",
"𝚐" => "g",
"𝚑" => "h",
"𝚒" => "i",
"𝚓" => "j",
"𝚔" => "k",
"𝚕" => "l",
"𝚖" => "m",
"𝚗" => "n",
"𝚘" => "o",
"𝚙" => "p",
"𝚚" => "q",
"𝚛" => "r",
"𝚜" => "s",
"𝚝" => "t",
"𝚞" => "u",
"𝚟" => "v",
"𝚠" => "w",
"𝚡" => "x",
"𝚢" => "y",
"𝚣" => "z",
"𝚩" => "b",
"𝚮" => "h",
"𝚰" => "i",
"𝛂" => "a",
"𝛎" => "v",
"𝛒" => "p",
"𝛰" => "o",
"𝛵" => "t",
"𝟎" => "0",
"𝟏" => "1",
"𝟐" => "2",
"𝟑" => "3",
"𝟒" => "4",
"𝟓" => "5",
"𝟔" => "6",
"𝟕" => "7",
"𝟖" => "8",
"𝟗" => "9",
"𝟘" => "0",
"𝟙" => "1",
"𝟚" => "2",
"𝟛" => "3",
"𝟜" => "4",
"𝟝" => "5",
"𝟞" => "6",
"𝟟" => "7",
"𝟠" => "8",
"𝟡" => "9",
"𝟢" => "0",
"𝟣" => "1",
"𝟤" => "2",
"𝟥" => "3",
"𝟦" => "4",
"𝟧" => "5",
"𝟨" => "6",
"𝟩" => "7",
"𝟪" => "8",
"𝟫" => "9",
"𝟬" => "0",
"𝟭" => "1",
"𝟮" => "2",
"𝟯" => "3",
"𝟰" => "4",
"𝟱" => "5",
"𝟲" => "6",
"𝟳" => "7",
"𝟴" => "8",
"𝟵" => "9",
"𝟶" => "0",
"𝟷" => "1",
"𝟸" => "2",
"𝟹" => "3",
"𝟺" => "4",
"𝟻" => "5",
"𝟼" => "6",
"𝟽" => "7",
"𝟾" => "8",
"𝟿" => "9",
"🄌" => "0",
"🄐" => "a",
"🄒" => "c",
"🄔" => "e",
"🄖" => "g",
"🄘" => "i",
"🄛" => "l",
"🄞" => "o",
"🄡" => "r",
"🄢" => "s",
"🄣" => "t",
"🄤" => "u",
"🄰" => "a",
"🄱" => "b",
"🄲" => "c",
"🄳" => "d",
"🄴" => "e",
"🄵" => "f",
"🄶" => "g",
"🄷" => "h",
"🄸" => "i",
"🄹" => "j",
"🄺" => "k",
"🄻" => "l",
"🄼" => "m",
"🄽" => "n",
"🄾" => "o",
"🄿" => "p",
"🅀" => "q",
"🅁" => "r",
"🅂" => "s",
"🅃" => "t",
"🅄" => "u",
"🅅" => "v",
"🅆" => "w",
"🅇" => "x",
"🅈" => "y",
"🅉" => "z",
"🅐" => "a",
"🅑" => "b",
"🅒" => "c",
"🅓" => "d",
"🅔" => "e",
"🅕" => "f",
"🅖" => "g",
"🅗" => "h",
"🅘" => "i",
"🅙" => "j",
"🅚" => "k",
"🅛" => "l",
"🅜" => "m",
"🅝" => "n",
"🅞" => "o",
"🅟" => "p",
"🅠" => "q",
"🅡" => "r",
"🅢" => "s",
"🅣" => "t",
"🅤" => "u",
"🅥" => "v",
"🅦" => "w",
"🅧" => "x",
"🅨" => "y",
"🅩" => "z",
"🅲" => "c",
"🅳" => "d",
"🅴" => "e",
"🅵" => "f",
"🅶" => "g",
"🅷" => "h",
"🅸" => "i",
"🅹" => "j",
"🅺" => "k",
"🅻" => "l",
"🅼" => "m",
"🅽" => "n",
"🆀" => "q",
"🆁" => "r",
"🆂" => "s",
"🆃" => "t",
"🆄" => "u",
"🆅" => "v",
"🆆" => "w",
"🆇" => "x",
"🆈" => "y",
"🆉" => "z",
"🇦" => "a",
"🇧" => "b",
"🇨" => "c",
"🇩" => "d",
"🇪" => "e",
"🇫" => "f",
"🇬" => "g",
"🇭" => "h",
"🇮" => "i",
"🇰" => "k",
"🇱" => "l",
"🇲" => "m",
"🇳" => "n",
"🇴" => "o",
"🇵" => "p",
"🇷" => "r",
"🇸" => "s",
"🇹" => "t",
"🇺" => "u",
"🇻" => "v",
"🇼" => "w",
"🇽" => "x",
"🇾" => "y",
);

our $utf8 = join undef, (keys %map);
our $ascii = join undef, (values %map);

sub hasutf8 {
    my ($in) = @_;
    return $in =~ m#[$utf8]#;
}

sub trans {
    my ($in) = @_;
    my $out;
    # this binmode is required for the print statments to work with unicode
    # otherwise a "wide character" error continually prints
    binmode(STDOUT, "encoding(UTF-8)") if $verbose;
    print "start $in\n" if $verbose;
    foreach my $c (split undef, $in) { 
        $out .= $map{$c} || $c;
    }
    print "end $out\n" if $verbose;
    # binmode has to be restored as it affects print in the parent script
    binmode(STDOUT) if $verbose;
    return $out;
}

1;

